stages:
  - build
  - test
  - document

default:
  tags: [docker]
  image: "mcr.microsoft.com/vscode/devcontainers/go:0-1.19-bullseye"

before_script:
  - go mod tidy

compile:
  stage: build
  script:
    - go build

test:
  stage: test
  script:
    - go test -timeout 30s -cover

document:
  stage: document
  script:
    - go doc
